Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

new perspective at Solid Works 2

Status
Not open for further replies.

SanRox

Industrial
Nov 1, 2005
12
0
0
NL
I would like to know if I can add a extra perspective at Solid Works. You've got already Isometric,Trimetric en Dimetric, but I would like to add the next perspective: from left to right 30 degre,90 gdegre,60 degre

How can I add this perspective?
 
Replies continue below

Recommended for you

Sanrox,

I updated the macro for my own use to work in SWx2005

Sub main()

Set swApp = CreateObject("SldWorks.Application")

Set Part = swApp.ActiveDoc

pi = 4 * Atn(1)
Z = Tan(30 * pi / 180)
X = Atn(Z / Sqr(-Z * Z + 1))
Y = -45 * pi / 180

Part.DeleteNamedView "TRF-ISO"
Part.DeleteNamedView "TRR-ISO"
Part.DeleteNamedView "TLF-ISO"
Part.DeleteNamedView "TLR-ISO"

Part.DeleteNamedView "BRF-ISO"
Part.DeleteNamedView "BRR-ISO"
Part.DeleteNamedView "BLF-ISO"
Part.DeleteNamedView "BLR-ISO"


Part.ShowNamedView2 "*Front", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit
Part.NameView "TRF-ISO"

Part.ShowNamedView2 "*Right", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit
Part.NameView "TRR-ISO"

Part.ShowNamedView2 "*Back", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit
Part.NameView "TLR-ISO"

Part.ShowNamedView2 "*Left", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit
Part.NameView "TLF-ISO"


Part.ShowNamedView2 "*Front", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit
Part.NameView "BRF-ISO"

Part.ShowNamedView2 "*Right", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit
Part.NameView "BRR-ISO"

Part.ShowNamedView2 "*Back", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit
Part.NameView "BLR-ISO"

Part.ShowNamedView2 "*Left", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit
Part.NameView "BLF-ISO"

Set Part = Nothing
Set swApp = Nothing

Set swApp = Application.SldWorks
End Sub


Best Regards,

Heckler
Sr. Mechanical Engineer
SW2005 SP 5.0 & Pro/E 2001
Dell Precision 370
P4 3.6 GHz, 1GB RAM
XP Pro SP2.0
NIVIDA Quadro FX 1400
o
_`\(,_
(_)/ (_)

"Coming together is a beginning, staying together is progress, and working together is success." - Henry Ford




 
Dang it, I forgot about CBL's FAQ on uploading files. here is the link to the file.


Best Regards,

Heckler
Sr. Mechanical Engineer
SW2005 SP 5.0 & Pro/E 2001
Dell Precision 370
P4 3.6 GHz, 1GB RAM
XP Pro SP2.0
NIVIDA Quadro FX 1400
o
_`\(,_
(_)/ (_)

"Coming together is a beginning, staying together is progress, and working together is success." - Henry Ford
 
Heckler ... The author of the original FAQ (StarrRider) does not appear to be active in the forums (since 2004-01-06 anyway), so perhaps you should post a new FAQ for the updated macro.

[cheers]
Helpful SW websites faq559-520
How to get answers to your SW questions faq559-1091
 
Scott, MadMango, Theo ... A small point, but using the arrow rotation method will not give true Isometric perspective views. Compound angles come into play.

Select the SW Isometric view of a part & then try to get back to a regular planar view, using the arrows, to see what I mean.

[cheers]
Helpful SW websites faq559-520
How to get answers to your SW questions faq559-1091
 
I also store predefined views in my drawing template. One is called "TitleBlock" and is very easy to get to from the tool bar or a macro.

--
Hardie "Crashj" Johnson
 
Status
Not open for further replies.
Back
Top